#
# $Id$
#
# Used if virtual name != real name (perl, ...) - replace python-tortilla by python-tortilla in the line below
%define srcname python-tortilla
%define py3 0

Summary:        A tiny library for creating wrappers around web APIs

Name:           python-tortilla
Version:        0.5.0
Release:        1.centos7
License:        MIT
Group:          Development/Python
Url:            https://pypi.python.org/pypi/tortilla
Source:         ftp://ftp.project-builder.org//src/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
#PBPATCHSRC
Requires:       python-requests,python-six,python-formats,python-colorclass,
BuildRequires:       python-setuptools

%description
Tortilla uses a bit of magic to wrap APIs.
Whenever you get or call an attribute of a wrapper,
the URL is appended by that attribute's name or method parameter
python2 version

%if %py3
%package -n python3-tortilla
Summary: %{summary} / Python 3 library
Requires:   python3-requests
Requires:   python3-six
Requires:   python3-formats
Requires:   python3-colorclass
#BuildRequires:   python3-setuptools

%description -n python3-tortilla
Tortilla uses a bit of magic to wrap APIs.
Whenever you get or call an attribute of a wrapper,
the URL is appended by that attribute's name or method parameter
python3 version
%endif

%prep
%setup -q -n %{srcname}-%{version}
%if %py3
cd ..
cp -fr %{srcname}-%{version} python3
cd -
%endif
#PBPATCHCMD

%build
%{__python} setup.py build
%if %py3
cd ../python3
%{__python3} setup.py build
cd -
%endif

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%if %py3
cd ../python3
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
cd -
%endif

%files
%doc README.rst
%{python_sitelib}/*

%if %py3
%files -n python3-tortilla
%doc README.rst
%{python3_sitelib}/*
%endif

%changelog
* Sat Jan 01 2050 Bruno Cornec <bruno@project-builder.org> 0.5.0-1
- Updated to 0.5.0
- Packaged from upstream (Bruno Cornec)




